


function GetThreatRanks()
	local highestvalue, highestid, index = 1
	local ranktable = {}
	local idtablecopy = {}
	for unitid, threat in pairs(idtable) do idtablecopy[unitid] = threat end
	
	repeat
		-- Reset for cycle
		highestvalue = nil
		highestid = nil
		-- Cycle through the threat values/unitids..
		for unitid, threat in pairs(idtablecopy) do
			-- If the value is NOT nil, and is the highest..
			if threat and threat > highestvalue then
				-- Store the values for later
				highestvalue = threat
				highestid = unitid
			end
		end
		
		-- When finished searching...
		if highestid then
			index = index + 1
			ranktable[index] = highestid	-- record the value, in place
			idtablecopy[highestid] = nil	-- cross off the value in temptable
		end
	until not highestid
end